--- title: "Duplicate player" slug: "vpe-api-clone" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-clone" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Duplicate player Available in Classic and VPC Create a new player by duplicating an existing player. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/players/{player_no}/clone | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `player_no` | String | Required | Player number - See [Get player list](/docs/en/vpe-api-list). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `auto_update` | String | Optional | Player SDK auto-update - `Y` \| `N` (default) - `Y`: Enable - `N`: Disable | | `name` | String | Required | Player name - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and special characters "_", "-", and "@". - The string must start with an English letter. - See [Check player name](/docs/en/vpe-api-check-name). | | `version` | String | Required | Player SDK version - See [Get player SDK version](/docs/en/vpe-api-versions). - Create with latest version on no input. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpe.apigw.ntruss.com/api/v1/players/6159/clone' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' \ --data '{ "auto_update": "N", "name": "player000_backup", "version": "1.1.4" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "200", "message": "ok" } ```